## net.i2p.router.peermanager
Class ReliabilityCalculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator
          net.i2p.router.peermanager.ReliabilityCalculator

    public class ReliabilityCalculator

extends Calculator

Determine how reliable the peer is - how likely they'll be able to respond or otherwise carry out whatever we ask them to (or even merely be reachable)

Constructor Summary
`ReliabilityCalculator(RouterContext context)`

Method Summary
`double` `calc(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class net.i2p.router.peermanager.Calculator
`calcBoolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReliabilityCalculator

    public ReliabilityCalculator(RouterContext context)

Method Detail

### calc

    public double calc(PeerProfile profile)

  Description copied from class: `Calculator`
  Evaluate the profile according to the current metric

  Overrides:
    `calc` in class `Calculator`